Saltar al contenido
Twexapi
Español
Esc
navegarabrir⌘Jvista previa

Obtener historial de Grok

Obtener historial de Grok.

POST/v3/twitter/grok/history
Autorización de API
AuthorizationBearer token · headerrequerido
Token Bearer global para TwexAPI. Incluido como: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Cuerpo de la solicitud
requeridoapplication/json
countinteger | any
Number of conversations to return.
default: 20
Mostrar propiedades
Any of:
integer
integer
any
any
cookiestringrequerido
Credenciales de sesión o auth_token autorizadas del propio usuario (BYOC — Bring Your Own Cookie). Ejecución mediante proxy sin estado y con cero retención de credenciales. Consulta [Seguridad y Autenticación](/es/authentication#write-operations--byoc-bring-your-own-cookie) y [Cómo obtener la Cookie](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie).
proxystring | any
Optional HTTP proxy. Example: http://username:password@ip:port
Mostrar propiedades
Any of:
string
string
any
any
Respuestas
200A list of Grok conversations.
codeintegerrequerido
Código de estado HTTP (200 indica éxito)
msgstringrequerido
Mensaje de respuesta (ej. 'success')
dataGrokHistoryItem[]requerido
Carga de datos devuelta por el endpoint
Mostrar propiedades
Array of GrokHistoryItem
conversation_idstringrequerido
Grok conversation id
idstring | any
Grok conversation id (alternate)
Mostrar propiedades
Any of:
string
string
any
any
titlestringrequerido
Conversation title
created_at_msinteger | any
Created at timestamp in ms
Mostrar propiedades
Any of:
integer
integer
any
any
is_pinnedboolean
Whether the conversation is pinned
default: false
422Error de validación de parámetros
detailValidationError[]
Mostrar propiedades
Array of ValidationError
locstring | integer[]requerido
Mostrar propiedades
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequerido
Mensaje de respuesta (ej. 'success')
typestringrequerido
inputany
ctxobject
Consola interactivaPOST
Consola interactiva / Probar APIPOST
Live Console
🌐Servidor objetivo:https://api.twexapi.io
● Producción lista
✍️
Guía de credenciales de escritura (Clave TwexAPI + Cookie de Twitter)

1. Clave de TwexAPI (Bearer Token): Ingrésela en "Autorización API" abajo para facturación y autenticación.

2. Cookie de cuenta Twitter: Para operaciones de escritura (tuitear, dar me gusta, seguir), ingrese la Cookie (ej. auth_token=...; ct0=...) en el campo cookie abajo.

🔑Autorización API
📝Cuerpo de la solicitudapplication/json
📡
暂无响应数据

请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。

Solicitud
curl -X POST "https://api.twexapi.io/v3/twitter/grok/history" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "count": 20,
  "cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
  "proxy": "http://username:password@ip:port"
}'
Respuesta
{
  "code": 200,
  "msg": "success",
  "data": [
    {
      "conversation_id": "2076320454898278729",
      "id": "string",
      "title": "Friendly greeting",
      "created_at_ms": 1783868347485,
      "is_pinned": false
    }
  ]
}